CREATE FUNCTION [dbo].[FN_GetPONumber] (@LPCD varchar(MAX),@PROD_MONTH varchar(MAX))
RETURNS VARCHAR(MAX)
AS
BEGIN
	--MML140201
	DECLARE @LASTPO varchar(MAX), @POLCD varchar(MAX), @POYEAR varchar(MAX), @POMONTH varchar(MAX), @POSEQ varchar(MAX), @PO varchar(MAX)
	DECLARE @STARTNO varchar(MAX),@YM1 varchar(MAX),@YM2 varchar(MAX)
	
	IF EXISTS(SELECT LOG_PARTNER_CD FROM TB_M_LOGISTIC_PARTNER WHERE LOG_PARTNER_CD=@LPCD)
	  BEGIN
		SET @STARTNO = 61
		IF LEN(@STARTNO)=1 SET @STARTNO = '0' + @STARTNO	
		
		SELECT TOP 1 @LASTPO=PO_NO FROM TB_R_DLV_PO_H  WHERE SUBSTRING(PO_NO,1,3)=@LPCD AND PROD_MONTH = @PROD_MONTH ORDER BY PO_NO DESC
		
		--GET MONTH		
		SET @YM1 = @PROD_MONTH

		IF ISNULL(@LASTPO,'')=''
			SET @PO = @LPCD + @YM1 + @STARTNO
		ELSE
		 BEGIN
			SET @POSEQ = CAST(RIGHT(@LASTPO,2) AS int)+1
			SET @YM2 = SUBSTRING(@LASTPO,4,6)
			IF @YM1 = @YM2
			   BEGIN    
				   IF LEN(@POSEQ) > 3
					  SET @PO='-1'
					ELSE
					  SET @PO = @LPCD + @YM1 + CAST(@POSEQ as varchar(2))
			   END
			ELSE
			   SET @PO = @LPCD + @YM1 + @STARTNO
		 END	
		END
	 ELSE
	 SET @PO='-1'
		
	RETURN @PO	
END

